
--[[
LoadFirst.lua

This file essentially sets up the mod. All the variables in the mod are contained in one global variable. It is important that the global variable <thismod> is defined. All the other modules use that to determine the name of the mod's table, which they have to add themself to.
]]

local namespace = "klhtm" -- Change this ONE string to completely clone the mod!! (almost!)

setglobal(namespace, { })
thismod = getglobal(namespace)
thismod.namespace = namespace